require "import"
import "android.content.Context"
import "android.os.Vibrator"
import "android.media.AudioManager"
import "android.webkit.WebView"
import "android.webkit.WebViewClient"
import "android.widget.*"
import "com.androlua.*"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

if _G.radioPlaying == nil then
    _G.radioPlaying = false
end

if not _G.radioPlaying then
    _G.web = WebView(context)
    _G.web.getSettings().setJavaScriptEnabled(true)

    _G.web.setWebViewClient(WebViewClient())

    layout = {
      LinearLayout,
      orientation = LinearLayout.VERTICAL,
      {
        TextView,
        text = "radio XeVT en vivo",
        textSize = "20sp",
        gravity = "center",
        padding = "16dp",
      },
      {
        FrameLayout,
        layout_width = "fill",
        layout_height = "fill",
        {
          WebView,
          id = "web",
          layout_width = "fill",
          layout_height = "fill"
        }
      },
      {
        Button,
        text = "Volver",
        onClick = function(view)
          dlg.dismiss()
vibrator.vibrate(100)
        end,
        layout_width = "wrap_content",
        gravity = 5,
      }
    }

    dlg = LuaDialog(service)
    dlg.View = loadlayout(layout)
    _G.web.loadUrl("https://radio.golsystems.com.mx/8054/stream")
    dlg.show()
    _G.radioPlaying = true

else
    _G.web.destroy()
    service.asyncSpeak("Transmisión de radio cerrada")
    if activity then
        activity.setContentView(nil)
    end
    _G.radioPlaying = false
end

return true